summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPier Luigi Fiorini2019-10-15 23:35:40 +0200
committerPier Luigi Fiorini2019-10-16 00:09:57 +0200
commit1de0f9d9c041bb491c2cbf2e45e5fd89b4ff9d53 (patch)
tree22ce18c90f8985bf7f0fa2994b99c1e4b36fa4c0 /PKGBUILD
parenta8c8059cdad9a7a55b5c6427732689db3acde0f9 (diff)
downloadaur-liri-wayland-git.tar.gz
Update to latest version
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD47
1 files changed, 25 insertions, 22 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 0c6df3bbe6a..e8343b9c0ac 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,19 +1,17 @@
# Maintainer: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
pkgname=liri-wayland-git
-pkgver=20170514.732a453
+pkgver=r16.79422319
pkgrel=1
-pkgdesc="QtWayland additions and QPA plugin"
+pkgdesc="Wayland client and server libraries for Qt applications"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
url='https://liri.io'
-license=('GPL3')
-depends=('systemd' 'wayland-protocols' 'libdrm' 'libinput' 'qt5-declarative' 'qt5-wayland'
- 'xkeyboard-config' 'libxkbcommon' 'glib2' 'fontconfig' 'freetype2'
- 'qt5-udev-git' 'libliri-git')
-makedepends=('git' 'liri-qbs-shared-git' 'xcb-util-cursor' 'libxcursor')
+license=('LGPL3')
+depends=('wayland-protocols' 'qt5-wayland')
+makedepends=('git' 'liri-cmake-shared-git')
options=(debug !strip)
-conflicts=('greenisland' 'greenisland-git' 'liri-wayland')
-replaces=('greenisland' 'greenisland-git' 'liri-wayland')
+conflicts=('liri-wayland')
+replaces=('liri-wayland')
provides=('liri-wayland')
groups=('liri-git')
@@ -25,26 +23,31 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {
- cd ${srcdir}/${_gitname}
- git submodule update --init
+ mkdir -p build
}
build() {
- cd ${srcdir}/${_gitname}
- qbs setup-toolchains --type gcc /usr/bin/g++ gcc
- qbs setup-qt /usr/bin/qmake-qt5 qt5
- qbs config profiles.qt5.baseProfile gcc
- qbs build --no-install -d build profile:qt5 \
- modules.lirideployment.prefix:/usr \
- modules.lirideployment.qmlDir:/usr/lib/qt/qml \
- modules.lirideployment.pluginsDir:/usr/lib/qt/plugins
+ cd build
+ cmake ../${_gitname} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_TESTING:BOOL=OFF \
+ -DINSTALL_SYSCONFDIR=/etc \
+ -DINSTALL_LIBDIR=/usr/lib \
+ -DINSTALL_LIBEXECDIR=/usr/lib \
+ -DINSTALL_QMLDIR=/usr/lib/qt/qml \
+ -DINSTALL_PLUGINSDIR=/usr/lib/qt/plugins
+ make
}
package() {
- cd ${srcdir}/${_gitname}
- qbs install -d build --no-build -v --install-root $pkgdir profile:qt5
+ cd build
+ make DESTDIR="$pkgdir" install
}